# Generated by Django 4.0 on 2022-01-16 00:03

from django.db import migrations, models


def reorder(apps, schema_editor):
    BudgetReceiver = apps.get_model("core", "BudgetReceiver")
    order = 0
    for item in BudgetReceiver.objects.all():
        order += 1
        item.display_order = order
        item.save()


class Migration(migrations.Migration):

    dependencies = [
        ("core", "0103_remove_eventbudgetreceiver"),
    ]

    operations = [
        migrations.AlterModelOptions(
            name="budgetreceiver",
            options={
                "ordering": ["display_order"],
                "verbose_name": "Budgetempfänger - Haushalt",
                "verbose_name_plural": "Budgetempfänger - Haushalt",
            },
        ),
        migrations.AddField(
            model_name="budgetreceiver",
            name="display_order",
            field=models.PositiveIntegerField(default=0),
        ),
        migrations.RunPython(code=reorder, reverse_code=migrations.RunPython.noop),
    ]
